Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.util
Class ChainedException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.security.xmlsec.util.ChainedException`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  KeyRetrievalException, TransformationException, XEException, XPathException, XSException

public class ChainedException
extends java.lang.Exception

Providing Exception chaining mechanism for JDK 1.4 in such a way that it does not cause syntax errors when used with JDK 1.2 and JDK 1.3

See Also:
  Serialized Form

Constructor Summary
`ChainedException()`
`ChainedException(java.lang.String message)`
`ChainedException(java.lang.String message, java.lang.Throwable cause)`
`ChainedException(java.lang.Throwable cause)`

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChainedException

    public ChainedException()

### ChainedException

    public ChainedException(java.lang.String message)

### ChainedException

    public ChainedException(java.lang.Throwable cause)

### ChainedException

    public ChainedException(java.lang.String message,
                            java.lang.Throwable cause)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown. (The cause is the throwable that caused this throwable to get thrown.
  Returns:
    the cause of this throwable or `null` if the cause is nonexistent or unknown

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.